const express = require("express");
const router = express.Router();

const reviewController = require("../Controller/reviewController");
const authController = require("../Controller/authController");

router
  .route("/")
  .get(authController.protect, reviewController.getAllReviewItem)
  .post(reviewController.createReviewItem);

router
  .route("/:id")
  .get(reviewController.getOneReviewItem)
  .patch(reviewController.changeOneReviewItem)
  .delete(reviewController.deleteOneReviewItem);

module.exports = router;
